Not true! OpenGL 4.2+ is supported with those cards with the Windows drivers and old fglrx drivers for Linux, just not the current MESA drivers. On Windows...